# Namespace: histogram_module

## histogram_module

Módulo histograma, utilizado para crear y gestionar los histogramas en nicho ecológico y comunidad ecológica.

Source:
  - histogram_module.js, line 3

### Methods

#### (private, static) ._initilizeHistogram()

Éste método inicializa variables globales y componentes visuales que son necesarios para la creación de histogramas.

Source:
  - histogram_module.js, line 46

#### (private, static) ._randomColor()

Genera colores aleatorios para asignarlo al histograma de decil en el análisis de nicho ecológico.

Source:
  - histogram_module.js, line 1079

#### (private, static) ._sort_by(field, reverse, primer)

Realiza el ordenamiento de un objeto tipo Json por un atributo específico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`field` | String | Nombre del parámetro para hacer el ordenamiento
`reverse` | boolean | Bandera para hacer el ordenameinto descendiente o ascendente
`primer` | function | Función para realizar el ordenamiento

Source:
  - histogram_module.js, line 1595

#### (static) .BarChart(json, display_obj)

Clase tipo Chart para generar instacias que tienen interacción con el módulo de red.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | json | Json que contiene los nodos y los enlaces resultado del análisis de communidad ecológica
`display_obj` | object | Referencia al controlador de comunidad ecológica

Source:
  - histogram_module.js, line 1164

#### (static) .createBarChart(idComponent, data, f_legend)

Crea los histogramas de épsilon especie, score especie y score celda en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`idComponent` | String | Id del contenedor del histograma
`data` | array | Array con los resultados del histograma por especie y por celda en el análisis de nicho ecológico
`f_legend` | String | Título del histograma

Source:
  - histogram_module.js, line 923

#### (static) .createBarChartFecha(distinctPoints)

Éste método crea el histograma de las ocurrencias que tiene la especie objetivo selecionada en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`distinctPoints` | array | Array con las ocurrencias que tiene la especie objetivo selecionada en el análisis de nicho ecológico.

Source:
  - histogram_module.js, line 743

#### (static) .createBarChartNet(json, display_obj)

Retorna un objeto de tipo Chart para generar el histograma en el anáisis de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | json | Json que contiene los nodos y los enlaces resultado del análisis de communidad ecológica
`display_obj` | object | Referencia al controlador de comunidad ecológica

Source:
  - histogram_module.js, line 1129

#### (static) .createMultipleBarChart(json_decil, array_recall, idComponent, nameMap)

Éste método crea el histograma de score decil del sistema de nicho, genera la interacción de tooltips, genera la interacción con histogramas y genera un line chart cuando el proceso de validación esta activado. Además genera una tabla de información por decil.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json_decil` | array | Array con el resultado de los grupos de vartiables seleccionados por decil
`array_recall` | array | Contiene los resultados por grupo de variables por decil. Contiene verdaderos positivos, falsos negativos y recall. Este array solo es utilizado en el proceso de validación
`idComponent` | String | Id del contenedor del histograma
`nameMap` | map | Mapa de los grupos de variables seleccionados en el análisis de nicho ecológico

Source:
  - histogram_module.js, line 64

#### (static) .setLanguageModule(languageModule)

Método setter del módulo de internacionalización.

##### Parameters:

Name | Type | Description
--- | --- | ---
`languageModule` | object | Módulo de internacionalización.

Source:
  - histogram_module.js, line 32

#### (static) .setTableModule(tableModule)

Método setter del módulo table.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tableModule` | object | Módulo table

Source:
  - histogram_module.js, line 18

#### (static) .startHistogramModule()

Función que inicializa las variables necesarias para la creación de histogramas.

Source:
  - histogram_module.js, line 1624